Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.fonts.substitute
Class FontSubstitutions

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<E>
              java.util.ArrayList<FontSubstitution>
                  org.apache.fop.fonts.substitute.FontSubstitutions

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Iterable<FontSubstitution>, java.util.Collection<FontSubstitution>, java.util.List<FontSubstitution>, java.util.RandomAccess

    public class FontSubstitutions

extends java.util.ArrayList<FontSubstitution>

Font substitutions

See Also:
  Serialized Form

Field Summary
`protected static org.apache.commons.logging.Log` | `log` logging instance

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`FontSubstitutions()`

Method Summary
`void` | `adjustFontInfo(FontInfo fontInfo)` Adjusts a given fontInfo using this font substitution catalog

Methods inherited from class java.util.ArrayList
`add, add, addAll, addAll, clear, clone, contains, ensureCapacity, get, indexOf, isEmpty, lastIndexOf, remove, remove, removeRange, set, size, toArray, toArray, trimToSize`

Methods inherited from class java.util.AbstractList
`equals, hashCode, iterator, listIterator, listIterator, subList`

Methods inherited from class java.util.AbstractCollection
`containsAll, removeAll, retainAll, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`containsAll, equals, hashCode, iterator, listIterator, listIterator, removeAll, retainAll, subList`

Field Detail

### log

    protected static final org.apache.commons.logging.Log log

  logging instance

Constructor Detail

### FontSubstitutions

    public FontSubstitutions()

Method Detail

### adjustFontInfo

    public void adjustFontInfo(FontInfo fontInfo)

  Adjusts a given fontInfo using this font substitution catalog

  Parameters:
    `fontInfo` - font info

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2017 The Apache Software Foundation. All Rights Reserved.